<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Firma\Anmeldung\KursUebersicht\Detailsreiter\Info;

class InfoUseCase extends \Kufer\Web\KuferTools\Basis\Kursdetails\Detailsreiter\Info\InfoUseCase
{
  public static function getToolId()
  {
    return \ToolsAPI::TOOL_ANMELDUNGBUCHEN_FA;
  }

  public static function getToolSectionId()
  {
    return 338;
  }

  protected function getMainReiterId()
  {
    return 338;
  }

  public function hasAccess($pToolSectionId = null)
  {
    if (!\Kufer\Web\KuferTools\Basis\UseCase\EinzelKursUseCase::hasAccess(338)) {
      return false;
    }
    if (!$this->isRechtAllowed('338.1.2')) {
      return false;
    }

    return true;
  }

  protected function getInfo($kurs)
  {
    if (\System::isKuferSql5() && trim(strip_tags($kurs->webinfohtml)) !== '') {
      return $kurs->webinfohtml;
    }

    return \StringOperations::convertLinebreaks2HTML($kurs->getVarValue('webinfo'));
  }
}